import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable, of } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class CommunityService {
    private apiUrl = 'http://klebert-host.com:33036';
    constructor(private http: HttpClient) {}
    getCommunityQuiz(skip: number, take: number, filter: string) {
        //return this.http.get(`${this.apiUrl}/quiz/`, { params: { skip: skip, take: take, filter: filter } });
        return of({
            body: {
                quizzes: [
                    {
                        codeQuiz: 'AMSOE',
                        title: 'Titre du quiz',
                        nbQuestions: 20,
                        difficulty: 'hard',
                        creator: 'vexorit',
                    },
                    {
                        codeQuiz: 'JFOSKZ',
                        title: 'Titre du quiz2',
                        nbQuestions: 28,
                        difficulty: 'easy',
                        creator: 'vexorit',
                    },
                ],
                total: 2,
            },
        });
    }
    getQuizInformations(codeQuiz: string) {
        //return this.http.get(`${this.apiUrl}/quiz/${codeQuiz}/short`);
        return of({
            body: {
                codeQuiz: 'AMSOE',
                title: 'Titre du quiz',
                description: 'Ceci est un quiz avec une description',
                nbQuestions: 20,
                nbPlayed: 18293,
                difficulty: 'hard',
                creator: 'vexorit',
            },
        });
    }
}
