import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
    providedIn: 'root',
})
export class FormQuizService {
    private apiUrl = 'https://opentdb.com/';
    constructor(private http: HttpClient) {}

    getCategory(): Observable<any> {
        return this.http.get(`${this.apiUrl}/api_category.php`);
    }
}
